
[//]: # (CLASS:RealtimeStockPrice)

[//]: # (KIND:object)

### RealtimeStockPrice

#### Properties

[//]: # (START_DEFINITION)

Name | Type | Description
------------ | ------------- | -------------
**lastPrice** | [**BigDecimal**](BigDecimal.md) | The price of the last trade. &nbsp;
**lastTime** | [**OffsetDateTime**](OffsetDateTime.md) | The date and time when the last trade occurred. &nbsp;
**lastSize** | [**BigDecimal**](BigDecimal.md) | The size of the last trade. &nbsp;
**bidPrice** | [**BigDecimal**](BigDecimal.md) | The price of the top bid order. &nbsp;
**bidSize** | [**BigDecimal**](BigDecimal.md) | The size of the top bid order. &nbsp;
**askPrice** | [**BigDecimal**](BigDecimal.md) | The price of the top ask order. &nbsp;
**askSize** | [**BigDecimal**](BigDecimal.md) | The size of the top ask order. &nbsp;
**openPrice** | [**BigDecimal**](BigDecimal.md) | The price at the open of the trading day. &nbsp;
**closePrice** | [**BigDecimal**](BigDecimal.md) | The price at the close of the trading day. (IEX only) &nbsp;
**highPrice** | [**BigDecimal**](BigDecimal.md) | The high price for the trading day. &nbsp;
**lowPrice** | [**BigDecimal**](BigDecimal.md) | The low price for the trading day. &nbsp;
**exchangeVolume** | [**BigDecimal**](BigDecimal.md) | The number of shares exchanged during the trading day on the exchange. &nbsp;
**marketVolume** | [**BigDecimal**](BigDecimal.md) | The number of shares exchanged during the trading day for the whole market. &nbsp;
**updatedOn** | [**OffsetDateTime**](OffsetDateTime.md) | The date and time when the data was last updated. &nbsp;
**source** | String | The source of the data. &nbsp;
**security** | [**RealtimeStockPriceSecurity**](RealtimeStockPriceSecurity.md) |  &nbsp;

[//]: # (END_DEFINITION)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:OffsetDateTime)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:BigDecimal)


[//]: # (CONTAINED_CLASS:OffsetDateTime)


[//]: # (CONTAINED_CLASS:RealtimeStockPriceSecurity)





